Event Listings

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Event Listings method returns a paginated, filterable list of basic event objects matching the search criteria.

The following example list all 2015 World Triathlon Series events.

curl --header "apikey: [[app:key]]" https://api.triathlon.org/v1/events?category_id=351&start_date=2015-01-01&end_date=2016-01-01

The category_id(https://developers.triathlon.org/docs/event-specifications) and specification_id(https://developers.triathlon.org/docs/event-specifications) parameters may be sourced from the respective API methods.

The nameparameter performs a search that matches any part of the event name. Whilst the search is fuzzy, typos are not considered and only direct matches are returned. For a better search experience, more suitable for user-defined input, it is recommended to use the Search API.

The start_date and end_date both expressed in yyyy-mm-dd format limit results by date. Only one parameter may be specified e.g. to find all events in the future simply the start_date param would be set.

The region_id parameter uses values from the Federation Region Listings method.

For many parameters you may supply a pipe delimited list of values to return multiple events, category_ids or specification_ids. For example another way to return all 2015 World Triathlon Series events by explicitly listing their event_id's would be:

curl --header "apikey: [[app:key]]" https://api.triathlon.org/v1/events?event_id=91028|90161|90162|90163|90164|91029|90165|90166|90167|90168

You may order the dates in either ascending or descending order by specifying the order parameter as either asc or desc.

Query Params
int32
Defaults to 10

How many events to be returned per page

int32

The page number to be returned

string

A pipe delimited list of category ids

string

A pipe delimited list of specification ids

string

Restrict returned events by name

date

The earliest date for events to be returned

date

The latest date for events to be returned

string

A pipe delimited list of region ids

string

A pipe delimited list of country ids

string

A pipe delimited list of event ids

string
Defaults to asc

Specify asc or desc ordering

Response

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json